master - toollib: close connection to lvmetad after fork
by okozina
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=fe30658a4d5fe4...
Commit: fe30658a4d5fe4e4e6bb346c9c9ee7142a98f49d
Parent: c26d81d6e6939906729d91fae83cd8bbdd743bb7
Author: Ondrej Kozina <okozina(a)redhat.com>
AuthorDate: Mon Apr 13 16:29:15 2015 +0200
Committer: Ondrej Kozina <okozina(a)redhat.com>
CommitterDate: Mon Apr 13 20:52:32 2015 +0200
toollib: close connection to lvmetad after fork
sharing connection between parent command and background
processes spawned from parent could lead to occasional failures
due to unexpected corruption in daemon responses sent to either child
or a parent.
lvmetad issued warning about duplicate config values in request.
LVM commands occasionaly failed w/ internal error after receving
corrupted response.
lvmetad connection is renewed when needed after explicit disconnect
in child
---
tools/toollib.c | 2 ++
1 files changed, 2 insertions(+), 0 deletions(-)
diff --git a/tools/toollib.c b/tools/toollib.c
index 4856f02..26810b2 100644
--- a/tools/toollib.c
+++ b/tools/toollib.c
@@ -97,6 +97,8 @@ int become_daemon(struct cmd_context *cmd, int skip_lvm)
strncpy(*cmd->argv, "(lvm2)", strlen(*cmd->argv));
+ lvmetad_disconnect();
+
if (!skip_lvm) {
reset_locking();
lvmcache_destroy(cmd, 1, 1);
8 years, 7 months
master - toollib: do not spawn polling in lv_change_activate
by okozina
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=c26d81d6e69399...
Commit: c26d81d6e6939906729d91fae83cd8bbdd743bb7
Parent: 59c417379e067f85cd962c2024f7a042f04a41fd
Author: Ondrej Kozina <okozina(a)redhat.com>
AuthorDate: Wed Apr 8 12:05:14 2015 +0200
Committer: Ondrej Kozina <okozina(a)redhat.com>
CommitterDate: Mon Apr 13 20:52:22 2015 +0200
toollib: do not spawn polling in lv_change_activate
spawning a background polling from within the lv_change_activate
fn went to two problems:
1) vgchange should not spawn any background polling until after
the whole activation process for a VG is finished. Otherwise
it could lead to a duplicite request for spawning background
polling. This statement was alredy true with one exception of
mirror up-conversion polling (fixed by this commit).
2) due to current conditions in lv_change_activate lvchange cmd
couldn't start background polling for pvmove LVs if such LV was
about to get activated by the command in the same time.
This commit however doesn't alter the lvchange cmd so that it works same as
vgchange with regard to not to spawn duplicate background pollings per
unique LV.
---
tools/lvchange.c | 13 +++++++++++++
tools/toollib.c | 5 -----
2 files changed, 13 insertions(+), 5 deletions(-)
diff --git a/tools/lvchange.c b/tools/lvchange.c
index 096aae4..e790ea0 100644
--- a/tools/lvchange.c
+++ b/tools/lvchange.c
@@ -212,6 +212,19 @@ static int _lvchange_activate(struct cmd_context *cmd, struct logical_volume *lv
if (!lv_change_activate(cmd, lv, activate))
return_0;
+ /*
+ * FIXME: lvchange should defer background polling in a similar
+ * way as vgchange does. First activate all relevant LVs
+ * initate background polling later (for all actually
+ * activated LVs). So we can avoid duplicate background
+ * polling for pvmove (2 or more locked LVs on single pvmove
+ * LV)
+ */
+ if (background_polling() && is_change_activating(activate) &&
+ (lv_is_pvmove(lv) || lv_is_locked(lv) || lv_is_converting(lv) ||
+ lv_is_merging(lv)))
+ lv_spawn_background_polling(cmd, lv);
+
return 1;
}
diff --git a/tools/toollib.c b/tools/toollib.c
index 142ff33..4856f02 100644
--- a/tools/toollib.c
+++ b/tools/toollib.c
@@ -843,11 +843,6 @@ int lv_change_activate(struct cmd_context *cmd, struct logical_volume *lv,
if (!lv_active_change(cmd, lv, activate, 0))
return_0;
- if (background_polling() &&
- is_change_activating(activate) &&
- (lv_is_pvmove(lv) || lv_is_converting(lv) || lv_is_merging(lv)))
- lv_spawn_background_polling(cmd, lv);
-
return r;
}
8 years, 7 months
master - vgchange: remove redundant check
by okozina
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=59c417379e067f...
Commit: 59c417379e067f85cd962c2024f7a042f04a41fd
Parent: fa16c9b7cbe5a4d71452247765142c670b3b0e31
Author: Ondrej Kozina <okozina(a)redhat.com>
AuthorDate: Wed Apr 8 10:30:30 2015 +0200
Committer: Ondrej Kozina <okozina(a)redhat.com>
CommitterDate: Mon Apr 13 20:52:12 2015 +0200
vgchange: remove redundant check
pvmove LVs are invisible thus already skipped due to check
lv_is_visible() at the beginning of the cycle.
---
tools/vgchange.c | 5 -----
1 files changed, 0 insertions(+), 5 deletions(-)
diff --git a/tools/vgchange.c b/tools/vgchange.c
index 88a85d8..1665d3e 100644
--- a/tools/vgchange.c
+++ b/tools/vgchange.c
@@ -114,11 +114,6 @@ static int _activate_lvs_in_vg(struct cmd_context *cmd, struct volume_group *vg,
if (lv_is_replicator_dev(lv) && (lv != first_replicator_dev(lv)))
continue;
- /* Can't deactivate a pvmove LV */
- /* FIXME There needs to be a controlled way of doing this */
- if (lv_is_pvmove(lv) && !is_change_activating(activate))
- continue;
-
if (lv_activation_skip(lv, activate, arg_count(cmd, ignoreactivationskip_ARG)))
continue;
8 years, 7 months
master - config: fix description syntax errors
by David Teigland
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=fa16c9b7cbe5a4...
Commit: fa16c9b7cbe5a4d71452247765142c670b3b0e31
Parent: 29220a181ac3ad0faf63681e465f0a9ba9e625dd
Author: David Teigland <teigland(a)redhat.com>
AuthorDate: Mon Apr 13 13:48:01 2015 -0500
Committer: David Teigland <teigland(a)redhat.com>
CommitterDate: Mon Apr 13 13:48:01 2015 -0500
config: fix description syntax errors
from previous commit
---
lib/config/config_settings.h | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/lib/config/config_settings.h b/lib/config/config_settings.h
index 84c81c6..1e53c7e 100644
--- a/lib/config/config_settings.h
+++ b/lib/config/config_settings.h
@@ -196,7 +196,7 @@ cfg_array(devices_filter_CFG, "filter", devices_CFG_SECTION, CFG_DEFAULT_UNDEFIN
"See the use_lvmetad comment for a special case regarding filters.\n"
"Example:\n"
"Accept every block device.\n"
- "filter = [ \"a|.*/|" ]\n"
+ "filter = [ \"a|.*/|\" ]\n"
"Example:\n"
"Reject the cdrom drive.\n"
"filter = [ \"r|/dev/cdrom|\" ]\n"
@@ -208,7 +208,7 @@ cfg_array(devices_filter_CFG, "filter", devices_CFG_SECTION, CFG_DEFAULT_UNDEFIN
"filter =[ \"a|loop|\", \"r|/dev/hdc|\", \"a|/dev/ide|\", \"r|.*|\" ]\n"
"Example:\n"
"Use anchors to be very specific.\n"
- "filter = [ \"a|^/dev/hda8$|\", \"r|.*/|" ]\n")
+ "filter = [ \"a|^/dev/hda8$|\", \"r|.*/|\" ]\n")
cfg_array(devices_global_filter_CFG, "global_filter", devices_CFG_SECTION, CFG_DEFAULT_UNDEFINED, CFG_TYPE_STRING, NULL, vsn(2, 2, 98),
"Since filter is often overridden from the command line,\n"
8 years, 7 months
master - config: update descriptions
by David Teigland
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=29220a181ac3ad...
Commit: 29220a181ac3ad0faf63681e465f0a9ba9e625dd
Parent: e4261ba03784f122759670cc2022a2dcb5f5a3ef
Author: David Teigland <teigland(a)redhat.com>
AuthorDate: Mon Apr 13 13:39:30 2015 -0500
Committer: David Teigland <teigland(a)redhat.com>
CommitterDate: Mon Apr 13 13:40:11 2015 -0500
config: update descriptions
- filter, preferred_names
---
lib/config/config_settings.h | 41 ++++++++++++++++++++++++-----------------
1 files changed, 24 insertions(+), 17 deletions(-)
diff --git a/lib/config/config_settings.h b/lib/config/config_settings.h
index ecdf368..84c81c6 100644
--- a/lib/config/config_settings.h
+++ b/lib/config/config_settings.h
@@ -159,10 +159,11 @@ cfg(devices_external_device_info_source_CFG, "external_device_info_source", devi
"only if LVM is compiled with udev support.\n")
cfg_array(devices_preferred_names_CFG, "preferred_names", devices_CFG_SECTION, CFG_ALLOW_EMPTY | CFG_DEFAULT_UNDEFINED, CFG_TYPE_STRING, NULL, vsn(1, 2, 19),
- "If several entries in the scanned directories correspond to the\n"
- "same block device and the tools need to display a name for the device,\n"
- "all the path names are matched against each item in this list of\n"
- "regular expressions. The first match is used.\n"
+ "Select which path name to display for a block device.\n"
+ "If multiple path names exist for a block device,\n"
+ "and LVM needs to display a name for the device,\n"
+ "the path names are matched against each item in\n"
+ "this list of regular expressions. The first match is used.\n"
"Try to avoid using undescriptive /dev/dm-N names, if present.\n"
"If no preferred name matches, or if preferred_names are not\n"
"defined, built-in rules are used until one produces a preference.\n"
@@ -175,33 +176,39 @@ cfg_array(devices_preferred_names_CFG, "preferred_names", devices_CFG_SECTION, C
"preferred_names = [ \"^/dev/mpath/\", \"^/dev/mapper/mpath\", \"^/dev/[hs]d\" ]\n")
cfg_array(devices_filter_CFG, "filter", devices_CFG_SECTION, CFG_DEFAULT_UNDEFINED, CFG_TYPE_STRING, NULL, vsn(1, 0, 0),
- "Patterns used to accept or reject devices found by a scan.\n"
- "Patterns are regular expressions delimited by any character\n"
- "and preceded by 'a' for accept or 'r' for reject.\n"
- "The list is traversed in order, and the first regex that matches\n"
- "determines if the device is accepted or rejected (ignored).\n"
- "Devices that don't match any patterns are accepted.\n"
- "If there are several names for the same device, e.g. from symlinks,\n"
- "the first pattern matching any of the names determines if the\n"
- "device is accepted or rejected (depending on whether the first\n"
- "matching pattern is 'a' or 'r'.)\n"
+ "Limit the block devices that are used by LVM.\n"
+ "This is a list of regular expressions used to accept or\n"
+ "reject block device path names. Each regex is delimited\n"
+ "by a vertical bar '|' (or any character) and is preceded\n"
+ "by 'a' to accept the path, or by 'r' to reject the path.\n"
+ "The first regex in the list to match the path is used,\n"
+ "producing the 'a' or 'r' result for the device.\n"
+ "When multiple path names exist for a block device, if any\n"
+ "path name matches an 'a' pattern before an 'r' pattern,\n"
+ "then the device is accepted. If all the path names match\n"
+ "an 'r' pattern first, then the device is rejected.\n"
+ "Unmatching path names do not affect the accept or reject\n"
+ "decision. If no path names for a device match a pattern,\n"
+ "then the device is accepted.\n"
+ "Be careful mixing 'a' and 'r' patterns, as the combination\n"
+ "might produce unexpected results (test any changes.)\n"
"Run vgscan after changing the filter to regenerate the cache.\n"
"See the use_lvmetad comment for a special case regarding filters.\n"
"Example:\n"
"Accept every block device.\n"
- "filter = [ \"a/.*/\" ]\n"
+ "filter = [ \"a|.*/|" ]\n"
"Example:\n"
"Reject the cdrom drive.\n"
"filter = [ \"r|/dev/cdrom|\" ]\n"
"Example:\n"
"Work with just loopback devices, e.g. for testing.\n"
- "filter = [ \"a/loop/\", \"r/.*/\" ]\n"
+ "filter = [ \"a|loop|\", \"r|.*|\" ]\n"
"Example:\n"
"Accept all loop devices and ide drives except hdc.\n"
"filter =[ \"a|loop|\", \"r|/dev/hdc|\", \"a|/dev/ide|\", \"r|.*|\" ]\n"
"Example:\n"
"Use anchors to be very specific.\n"
- "filter = [ \"a|^/dev/hda8$|\", \"r/.*/\" ]\n")
+ "filter = [ \"a|^/dev/hda8$|\", \"r|.*/|" ]\n")
cfg_array(devices_global_filter_CFG, "global_filter", devices_CFG_SECTION, CFG_DEFAULT_UNDEFINED, CFG_TYPE_STRING, NULL, vsn(2, 2, 98),
"Since filter is often overridden from the command line,\n"
8 years, 7 months
master - tests: update runner
by Zdenek Kabelac
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=e4261ba03784f1...
Commit: e4261ba03784f122759670cc2022a2dcb5f5a3ef
Parent: 0aef2b719f17bddfe8afeaa4d38447975c192f50
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Mon Apr 13 16:31:02 2015 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Mon Apr 13 16:38:32 2015 +0200
tests: update runner
Reenable TESTDIR & PREFIX replacement.
Since we need to replace string in proper order (1st. @TESTDIR@,
2nd. @PREFIX@), drop map and use plain string.
Drop timestamp logging when 'stacktracing'
---
test/lib/brick-shelltest.h | 24 ++++++++++++++++++------
1 files changed, 18 insertions(+), 6 deletions(-)
diff --git a/test/lib/brick-shelltest.h b/test/lib/brick-shelltest.h
index 60aab20..00f1616 100644
--- a/test/lib/brick-shelltest.h
+++ b/test/lib/brick-shelltest.h
@@ -345,18 +345,23 @@ struct Sink {
struct Substitute {
typedef std::map< std::string, std::string > Map;
- Map _map;
+ std::string testdir; // replace testdir first
+ std::string prefix;
std::string map( std::string line ) {
if ( std::string( line, 0, 9 ) == "@TESTDIR=" )
- _map[ "@TESTDIR@" ] = std::string( line, 9, std::string::npos );
+ testdir = std::string( line, 9, line.length() - 10 ); // skip \n
else if ( std::string( line, 0, 8 ) == "@PREFIX=" )
- _map[ "@PREFIX@" ] = std::string( line, 8, std::string::npos );
+ prefix = std::string( line, 8, line.length() - 9 ); // skip \n
else {
size_t off;
- for ( Map::iterator s = _map.begin(); s != _map.end(); ++s )
- while ( (off = line.find( s->first )) != std::string::npos )
- line.replace( off, s->first.length(), s->second );
+ if (!testdir.empty())
+ while ( (off = line.find( testdir )) != std::string::npos )
+ line.replace( off, testdir.length(), "@TESTDIR@" );
+
+ if (!prefix.empty())
+ while ( (off = line.find( prefix )) != std::string::npos )
+ line.replace( off, prefix.length(), "@PREFIX@" );
}
return line;
}
@@ -406,6 +411,13 @@ struct FdSink : Sink {
virtual void outline( bool force )
{
TimedBuffer::Line line = stream.shift( force );
+ if (line.second.c_str()[0] == '#') {
+ /* Disable timing between STACKTRACE & teardown keywords */
+ if (strstr(line.second.c_str() + 1, "# 0 STACKTRACE"))
+ fmt.stamp = false;
+ else if (strstr(line.second.c_str() + 1, "# teardown"))
+ fmt.stamp = true;
+ }
std::string out = fmt.format( line );
write( fd, out.c_str(), out.length() );
}
8 years, 7 months
master - tests: log parallel debug.log usage as problem
by Zdenek Kabelac
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=0aef2b719f17bd...
Commit: 0aef2b719f17bddfe8afeaa4d38447975c192f50
Parent: 0457224febdf1eb3ddc66369d39808a6f2d6ec26
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Mon Apr 13 16:30:36 2015 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Mon Apr 13 16:38:32 2015 +0200
tests: log parallel debug.log usage as problem
---
test/lib/lvm-wrapper.sh | 5 ++++-
1 files changed, 4 insertions(+), 1 deletions(-)
diff --git a/test/lib/lvm-wrapper.sh b/test/lib/lvm-wrapper.sh
index cbc60d3..5840175 100644
--- a/test/lib/lvm-wrapper.sh
+++ b/test/lib/lvm-wrapper.sh
@@ -39,7 +39,10 @@ case "$CMD" in
esac
# Capture parallel users of debug.log file
-test -z "$(fuser debug.log 2>/dev/null)" || { echo "Test suite problem: \"debug.log\" is still in use!" >&2 ; return 1 ; }
+test -z "$(fuser debug.log 2>/dev/null)" || {
+ echo "TEST WARNING: \"debug.log\" is still in use while running $CMD $@" >&2
+ fuser -v debug.log >&2
+}
# the exec is important, because otherwise fatal signals inside "not" go unnoticed
if test -n "$abs_top_builddir"; then
8 years, 7 months
master - tests: sections in test separated
by Zdenek Kabelac
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=0457224febdf1e...
Commit: 0457224febdf1eb3ddc66369d39808a6f2d6ec26
Parent: f080ebc123a050eff1de3995d7da8c835c4dc6e7
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Mon Apr 13 16:30:17 2015 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Mon Apr 13 16:38:31 2015 +0200
tests: sections in test separated
Use <======== to separate sections.
Use ## to prefix these outputs.
Drop $top_srcdir from sed (it's been replacing '..')
Hide more /dev dirs.
---
test/lib/aux.sh | 3 +-
test/lib/inittest.sh | 1 +
test/lib/utils.sh | 51 ++++++++++++++++++++++++++++++++-----------------
3 files changed, 36 insertions(+), 19 deletions(-)
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index a5d620a..1b97bdc 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -43,6 +43,7 @@ prepare_clvmd() {
local run_valgrind=
test "${LVM_VALGRIND_CLVMD:-0}" -eq 0 || run_valgrind="run_valgrind"
rm -f "$CLVMD_PIDFILE"
+ echo "<======== Starting CLVMD ========>"
$run_valgrind clvmd -Isinglenode -d 1 -f &
echo $! > LOCAL_CLVMD
@@ -695,7 +696,7 @@ EOF
done
echo "}"
echo
- done | tee "$config"
+ done | tee "$config" | sed -e "s,^,## LVMCONF: ,"
}
lvmconf() {
diff --git a/test/lib/inittest.sh b/test/lib/inittest.sh
index e3d874b..067c3d4 100644
--- a/test/lib/inittest.sh
+++ b/test/lib/inittest.sh
@@ -97,5 +97,6 @@ test -n "$LVM_TEST_LVMETAD" && {
# Vars for harness
echo "@TESTDIR=$TESTDIR"
echo "@PREFIX=$PREFIX"
+echo "<======== Processing test: \"$TESTNAME\" ========>"
set -vx
diff --git a/test/lib/utils.sh b/test/lib/utils.sh
index b06bf87..488e338 100644
--- a/test/lib/utils.sh
+++ b/test/lib/utils.sh
@@ -133,25 +133,40 @@ STACKTRACE() {
fi
test -z "$LVM_TEST_NODEBUG" -a -f debug.log && {
- sed -e "s,^,## DEBUG: ,;s,$top_srcdir/\?,," < debug.log
- echo "========= CLVMD debug log ========="
- test -e clvmddebug.log && sed -e "s,^,## CLVMD: ,;s,$top_srcdir/\?,," < clvmddebug.log
- test -e strace.log && sed -e "s,^,## STRACE: ,;s,$top_srcdir/\?,," < strace.log
- echo "========= Info ==========="
- dmsetup info -c | grep1_ "$PREFIX"
- echo "========= Active table ==========="
- dmsetup table | grep "$PREFIX"
- echo "======== Inactive table =========="
- dmsetup table --inactive | grep "$PREFIX"
- echo "======== Status =========="
- dmsetup status | grep "$PREFIX"
- echo "======== Tree =========="
- dmsetup ls --tree
- echo "======== Recursive list of $DM_DEV_DIR =========="
- ls -Rl --hide=shm --hide=bus --hide=snd --hide=input "$DM_DEV_DIR"
- for i in /sys/block/dm-* /sys/block/loop* ; do
- udevadm info -p "$i" || true
+ IDX=
+ for i in debug.log* ; do
+ echo "<======== Last traced lvm2 command $i ========>"
+ sed -e "s,^,## DEBUG${IDX}: ," $i
+ IDX=$(($IDX + 1))
done
+ test -e clvmddebug.log && {
+ echo "<======== CLVMD debug log ========>"
+ sed -e "s,^,## CLVMD: ," clvmddebug.log
+ }
+ test -e strace.log && {
+ echo "<======== Strace debug log ========>"
+ sed -e "s,^,## STRACE: ," strace.log
+ }
+ echo "<======== Info ========>"
+ dmsetup info -c | grep1_ "$PREFIX" | sed -e "s,^,## DMINFO: ,"
+ echo "<======== Active table ========>"
+ dmsetup table | grep "$PREFIX" | sed -e "s,^,## DMTABLE: ,"
+ echo "<======== Inactive table ========>"
+ dmsetup table --inactive | grep "$PREFIX" | sed -e "s,^,## DMITABLE: ,"
+ echo "<======== Status ========>"
+ dmsetup status | grep "$PREFIX" | sed -e "s,^,## DMSTATUS: ,"
+ echo "<======== Tree ========>"
+ dmsetup ls --tree | sed -e "s,^,## DMTREE: ,"
+ echo "<======== Recursive list of $DM_DEV_DIR ========>"
+ ls -Rl --hide=shm --hide=bus --hide=snd --hide=input --hide=dri \
+ --hide=net --hide=hugepages --hide=mqueue --hide=pts \
+ "$DM_DEV_DIR" | sed -e "s,^,## LSLR: ,"
+ echo "<======== Udev DB content ========>"
+ for i in /sys/block/dm-* /sys/block/loop* ; do
+ udevadm info --path "$i" || true
+ done | sed -e "s,^,## UDEV: ,"
+ echo "<======== Script file \"$(< TESTNAME)\" ========>"
+ awk '{print "## Line:", NR, "\t", $0}' "$TESTOLDPWD/$0"
}
test -f SKIP_THIS_TEST && exit 200
8 years, 7 months
master - tests: hide unwanted output
by Zdenek Kabelac
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=f080ebc123a050...
Commit: f080ebc123a050eff1de3995d7da8c835c4dc6e7
Parent: 391500643cdf7b43783212c87b6b46291e701afa
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Mon Apr 13 14:19:54 2015 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Mon Apr 13 16:38:31 2015 +0200
tests: hide unwanted output
---
test/lib/aux.sh | 6 +++---
1 files changed, 3 insertions(+), 3 deletions(-)
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index f471fa4..a5d620a 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -31,13 +31,13 @@ prepare_clvmd() {
fi
# skip if we don't have our own clvmd...
- (which clvmd 2>/dev/null | grep "$abs_builddir") || skip
+ (which clvmd 2>/dev/null | grep -q "$abs_builddir") || skip
# lvs is executed from clvmd - use our version
export LVM_BINARY=$(which lvm)
- test -e "$DM_DEV_DIR/control" || dmsetup table # create control node
+ test -e "$DM_DEV_DIR/control" || dmsetup table >/dev/null # create control node
# skip if singlenode is not compiled in
- (clvmd --help 2>&1 | grep "Available cluster managers" | grep "singlenode") || skip
+ (clvmd --help 2>&1 | grep "Available cluster managers" | grep -q "singlenode") || skip
# lvmconf "activation/monitoring = 1"
local run_valgrind=
8 years, 7 months
master - tests: slowdown mirroring more
by Zdenek Kabelac
Gitweb: http://git.fedorahosted.org/git/?p=lvm2.git;a=commitdiff;h=391500643cdf7b...
Commit: 391500643cdf7b43783212c87b6b46291e701afa
Parent: 29467abe59a2027be838aca65368c03d43741b60
Author: Zdenek Kabelac <zkabelac(a)redhat.com>
AuthorDate: Mon Apr 13 11:01:10 2015 +0200
Committer: Zdenek Kabelac <zkabelac(a)redhat.com>
CommitterDate: Mon Apr 13 16:38:31 2015 +0200
tests: slowdown mirroring more
Since some of test machines are very slow, slowdown mirroring
even more.
---
test/shell/pvmove-abort-all.sh | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/test/shell/pvmove-abort-all.sh b/test/shell/pvmove-abort-all.sh
index b2ab2d4..afdd3c8 100644
--- a/test/shell/pvmove-abort-all.sh
+++ b/test/shell/pvmove-abort-all.sh
@@ -23,8 +23,8 @@ pvcreate --metadatacopies 0 "$dev6"
vgextend $vg1 "$dev6"
# Slowdown writes
-aux delay_dev "$dev3" 0 400 $(get first_extent_sector "$dev3"):
-aux delay_dev "$dev6" 0 400 $(get first_extent_sector "$dev6"):
+aux delay_dev "$dev3" 0 800 $(get first_extent_sector "$dev3"):
+aux delay_dev "$dev6" 0 800 $(get first_extent_sector "$dev6"):
for mode in "--atomic" "" ;
do
8 years, 7 months